Retrieve, Update, or Delete Blog

View as Markdown
Retrieves, updates, or deletes a blog by its ID with owner permission checks.

Path parameters

blog_idintegerRequired
The ID of the blog

Request

This endpoint expects an object.
deleted_atdatetime or nullOptional
is_activebooleanOptional
created_bystring or nullOptional<=255 characters
updated_bystring or nullOptional<=255 characters
deleted_bystring or nullOptional<=255 characters
publication_idintegerOptional
ownerobjectOptional
owner_idintegerOptional
titlestringOptional
cover_imagestring or nullOptionalformat: "uri"
contentstring or nullOptional
source_experience_idintegerOptional
categorystring or nullOptional
Category name
subcategorystring or nullOptional
Subcategory name
focus_areastring or nullOptional
tagslist of anyOptional
visibilityenumOptional
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftbooleanOptional
Whether this blog is a draft
disable_commentsbooleanOptional
typeenumOptional
  • free - Free
  • paid - Paid
Allowed values:
schedule_datedatetime or nullOptional
published_datedatetime or nullOptional
llm_promptstringOptional
format_typeenumOptional
Format type for content generation * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven
Allowed values:

Response

Blog details
idintegerRead-only
uidstringRead-onlyformat: "uuid"
created_atdatetimeRead-only
updated_atdatetimeRead-only
publicationinteger or nullRead-only
Publication this blog belongs to. Can be null for standalone blogs.
publication_custom_urlstringRead-only
publication_namestringRead-only
ownerobject
source_experienceinteger or nullRead-only
The experience this blog was created from
category_namestringRead-only
subcategory_namestringRead-only
statusstringRead-only
user_bookmarkedbooleanRead-only
reading_timestringRead-only
metricsstringRead-only
generation_statusstringRead-only
has_generation_in_progressstringRead-only
is_ready_for_reviewstringRead-only
deleted_atdatetime or null
is_activeboolean
created_bystring or null<=255 characters
updated_bystring or null<=255 characters
deleted_bystring or null<=255 characters
titlestring
cover_imagestring or nullformat: "uri"
contentstring or null
focus_areastring or null
tagslist of any
visibilityenum
* `public` - Public * `private` - Private * `team` - Team * `org` - Organization
Allowed values:
is_draftboolean
Whether this blog is a draft
disable_commentsboolean
typeenum
  • free - Free
  • paid - Paid
Allowed values:
schedule_datedatetime or null
published_datedatetime or null
llm_promptstring
format_typeenum
Format type for content generation * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error